summaryrefslogtreecommitdiff
path: root/opie-dasher
diff options
context:
space:
mode:
authorMichael Lauer <mickey@vanille-media.de>2004-11-27 11:48:37 +0000
committerMichael Lauer <mickey@vanille-media.de>2004-11-27 11:48:37 +0000
commit9d8e32e606c021113800d864e90484fd0595832e (patch)
tree0f504f80d326750d49163bf1cc7e4e64135da91a /opie-dasher
parent80e85c0a8664aa9e5008268ed03c6c1cd30366bb (diff)
Merge bk://oe-devel@oe-devel.bkbits.net/packages
into r2d2.tm.informatik.uni-frankfurt.de:/local/pkg/oe/packages 2004/11/27 12:48:07+01:00 uni-frankfurt.de!mickeyl use ${HANDHELDS_CVS} (see default in oe.conf) instead of hardcoding cvs://cvs.handhelds.org/... 2004/11/27 12:46:42+01:00 uni-frankfurt.de!mickeyl download zbedic from cvs BKrev: 41a86995A2uN5wW4nZHxDvYiHvh3-A
Diffstat (limited to 'opie-dasher')
-rw-r--r--opie-dasher/opie-dasher_1.1.7.oe50
-rw-r--r--opie-dasher/opie-dasher_cvs.oe4
2 files changed, 52 insertions, 2 deletions
diff --git a/opie-dasher/opie-dasher_1.1.7.oe b/opie-dasher/opie-dasher_1.1.7.oe
index e69de29bb2..9a753965e7 100644
--- a/opie-dasher/opie-dasher_1.1.7.oe
+++ b/opie-dasher/opie-dasher_1.1.7.oe
@@ -0,0 +1,50 @@
+DESCRIPTION = "Dasher text input method"
+SECTION = "opie/inputmethods"
+PRIORITY = "optional"
+MAINTAINER = "Team Opie <opie@handhelds.org>"
+LICENSE = "GPL"
+
+APPNAME = "qdasher"
+
+TAG = "${@'v' + oe.data.getVar('PV',d,1).replace('.', '_')}"
+SRC_URI = "${HANDHELDS_CVS};tag=${TAG};module=opie/inputmethods/dasher \
+ ${HANDHELDS_CVS};tag=${TAG};module=opie/share "
+
+S = "${WORKDIR}/dasher"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+else
+ exit 0
+fi
+
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+}
+
+# FILES plugins/inputmethods/libqdasher.so* share/dasher/alphabet.xml
+# FILES share/dasher/training_*.txt
+do_install() {
+ install -d ${D}/${palmtopdir}/share/dasher/
+ install -m 0644 ${WORKDIR}/share/dasher/alphabet.xml ${D}/${palmtopdir}/share/dasher/
+ for f in ${WORKDIR}/share/dasher/training_*.txt
+ do
+# echo Installing Dasher Language $f
+ [ -f $f ] && install -m 0644 $f ${D}${palmtopdir}/share/dasher/
+ done
+}
+
+PACKAGES = " opie-dasher-english opie-dasher "
+
+FILES_opie-dasher = "${palmtopdir}/plugins/inputmethods/libqdasher.so*"
+FILES_opie-dasher-english = "${palmtopdir}/share/dasher/training_english_GB.txt"
+
diff --git a/opie-dasher/opie-dasher_cvs.oe b/opie-dasher/opie-dasher_cvs.oe
index 95b8ac76e1..e4af407a86 100644
--- a/opie-dasher/opie-dasher_cvs.oe
+++ b/opie-dasher/opie-dasher_cvs.oe
@@ -6,8 +6,8 @@ LICENSE = "GPL"
PV = "1.1.7+cvs-${CVSDATE}"
APPNAME = "qdasher"
-SRC_URI = "cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/inputmethods/dasher \
- cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/share "
+SRC_URI = "${HANDHELDS_CVS};module=opie/inputmethods/dasher \
+ ${HANDHELDS_CVS};module=opie/share "
S = "${WORKDIR}/dasher"